services:
  - type: web
    name: marinetraffic-engine
    env: node
    plan: free

    buildCommand: npm install
    startCommand: node server.js

    envVars:
      - key: NODE_ENV
        value: production

      - key: OPENAI_API_KEY
        sync: false

      - key: APP_BASE_URL
        sync: false

      - key: DATABASE_URL
        fromDatabase:
          name: marinetraffic-postgres
          property: connectionString

databases:
  - name: marinetraffic-postgres
    plan: free